Subject: Re: bug#30807: Tramp tests take waaayyy too long and refuse to exit

From: Michael Albinus <[email-masked]>
Date: Wed, 14 Mar 2018 16:36:01 +0100

Michael Albinus <[email-masked]> writes:

Hi Paul,

>> Because of these problems I no longer routinely run "make check".
>
> This is bad, and we shall fix it.

As a first step, I have extended ert to print the duration time of single
tests in batch mode. This is disabled by default, you can enable it via

    make TEST_PRINT_TEST_DURATION=1 ...

Pushed to master.

If you run ert interactively, there is already the almost unknown key
"T" in the *ert* buffer, which gives a nice, sorted overview of the
duration times.

Best regards, Michael.